Bug 834132 - Review Request: subethasmtp - A SMTP mail server for Java
Review Request: subethasmtp - A SMTP mail server for Java
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Srb
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 19:25 EDT by gil cattaneo
Modified: 2013-07-04 21:38 EDT (History)
5 users (show)

See Also:
Fixed In Version: subethasmtp-3.1.7-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-26 21:57:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msrb: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-06-20 19:25:12 EDT
Spec URL: http://gil.fedorapeople.org/subethasmtp.spec
SRPM URL: http://gil.fedorapeople.org/subethasmtp-3.1.6-1.fc16.src.rpm
Description: SubEtha SMTP is an easy-to-use server-side SMTP library for Java.
Fedora Account System Username: gil
Comment 1 Jason Tibbitts 2013-06-04 16:25:32 EDT
This one fails to build in pretty much the same way several previous package failed to build.  Kind of tired of running scratch builds; is there any chance you could either make sure the rest of your packages pending review still build, or close out the tickets?
Comment 2 gil cattaneo 2013-06-04 17:43:45 EDT
sorry,
but if the source rpm is maked as fc16, than build fails
need maven-local instead of maven as buildrequires, because after f18
packaging with maven has been modified.
thanks
Comment 4 Michal Srb 2013-06-18 02:00:52 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable


Issues:
=======
- Maven packages should use new style packaging
  Note: If possible update your package to latest guidelines
  See: https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct Maven mapping
     Note: Some add_maven_depmap calls found. Please check if they are correct
     or update to latest guidelines
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: subethasmtp-3.1.7-1.fc20.noarch.rpm
          subethasmtp-javadoc-3.1.7-1.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint subethasmtp-javadoc subethasmtp
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
subethasmtp-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

subethasmtp (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(com.google.code.findbugs:jsr305)
    mvn(javax.mail:mail)
    mvn(org.slf4j:slf4j-api)



Provides
--------
subethasmtp-javadoc:
    subethasmtp-javadoc

subethasmtp:
    mvn(org.subethamail:subethasmtp)
    subethasmtp



Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 834132

Approved.
Comment 5 gil cattaneo 2013-06-18 06:32:34 EDT
New Package SCM Request
=======================
Package Name: subethasmtp
Short Description: A SMTP mail server for Java
Owners: gil
Branches: f18 f19
InitialCC: java-sig
Comment 6 Gwyn Ciesla 2013-06-18 06:46:41 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-06-18 07:24:00 EDT
subethasmtp-3.1.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/subethasmtp-3.1.7-1.fc19
Comment 8 Fedora Update System 2013-06-18 07:38:08 EDT
subethasmtp-3.1.7-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/subethasmtp-3.1.7-1.fc18
Comment 9 Fedora Update System 2013-06-18 15:39:56 EDT
subethasmtp-3.1.7-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 10 Fedora Update System 2013-06-26 21:57:21 EDT
subethasmtp-3.1.7-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-06-29 14:06:54 EDT
subethasmtp-3.1.7-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.